Summary: Aardvark Shell Utils - three utilities for interactive shells and shell scripting
Name: aardvark_shell_utils
Vendor: Laffey Computer Imaging
Version: 1.0
Release: 1
Copyright: GNU Public License
Group: Utilities/File
Source: http://downloads.laffeycomputer.com/current_builds/shellutils/aardvark_shell_utils-1.0.tar.gz
URL: http://www.laffeycomputer.com/shellutils.html
BuildRoot: /var/tmp/%{name}-root               

%description
The Aardvark Shell Utils is a collection of three utilities for use in
interactive shells or in shell programming.

Included utilities: realpath(1), filebase(1), and fileext(1). 

All utilities accept input either on the command line, or through stdin for use
in pipes.

%prep
%setup
./configure

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/realpath.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/filebase.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/fileext.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 realpath $RPM_BUILD_ROOT/%{_bindir}
install -m 755 filebase $RPM_BUILD_ROOT/%{_bindir}
install -m 755 fileext $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README       

%{_bindir}/realpath
%{_bindir}/filebase
%{_bindir}/fileext
%{_mandir}/man1/realpath.1*
%{_mandir}/man1/filebase.1*
%{_mandir}/man1/fileext.1*

%changelog
* Mon Jan 05 2003 Joe Laffey <software@laffeycomputer.com>
- Initial RPM packaging
