/*
    filexxx.h, Copyright (C) 2003 Joe Laffey


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef FILEXXX_H
#define FILEXXX_H

#include <sysexits.h>                           
#include <sys/param.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
                                 
#if HAVE_STRING_H
#include <string.h>
#elif HAVE_STRINGS_H
#include <strings.h>
#endif                   


#if !HAVE_STRRCHR
#ifndef strrchr
#define strrchr rindex   
#endif
#endif                  
  
#ifndef MAXPATHLEN 
#ifdef PATH_MAX
#define MAXPATHLEN PATH_MAX
#else 
#define MAXPATHLEN 4096                 
#endif
#endif

#define PATH_SEPARATOR '/'

#endif
