Summary: Convert between different netmask types
Name: whatmask
Version: 1.0
Release: 1
Copyright: GNU Public License
Group: Utilities/Network
Source: http://downloads.laffeycomputer.com/current_builds/whatmask/whatmask-1.0.tar.gz
URL: http://www.laffeycomputer.com/whatmask.html                
%description
   Whatmask is a small C program that lets you easily convert between three 
common subnet mask notations. 

   Notations supported:

                Name                  Example
               ---------------------------------
                CIDR                         /24
                Netmask            255.255.255.0
                Wilcard Bits           0.0.0.255
        
   The above notations are all identical. CIDR notation commonly has a 
"/" in front of the number (representing the number of bits). Whatmask can 
accept these notations with or without a slash. This notation is used more
and more recently. A lot of popular routers and software support this
notation.
   Netmask notation is pretty much the standard old-school way of 
doing it. It is supported by most systems (Un*x, Win, Mac, etc.). 
   Wilcard bits are similar to the netmask, but they are the logical 
not of the netmask. This notation is used by a number of popular routers 
(and nobody knows why...). 
   To use Whatmask simply type "whatmask <notation>" The notation can 
be in any of the three formats and Whatmask will automagically figure out 
what it is and display all three notations. 

%prep
%setup
./configure

%build
make

%install
make install

%clean
make clean

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README       

/usr/local/bin/whatmask

%changelog
* Thu Jul 05 2001 Joe Laffey <software@laffeycomputer.com>
- Initial RPM packaging

%vendor Laffey Computer Imaging
%packager Joe Laffey <software@laffeycomputer.com>

