/* 
    Whatmask, Copyright (C) 2001 Joe Laffey      
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include "ctonm.h"

int ctonm_main(char* argv_one, unsigned int myInVal)
{
        
	unsigned int  myVal=1;
	register int i;
	char* myNetmask[NM_LEN];
	char* myNetmask2[NM_LEN];



	if(myInVal  >32|| myInVal <0)
	{
		fprintf(stderr, "%s: CIDR notations must be a number between 0 and 32 inclusive!\n", PACKAGE);
		return(EX_USAGE);
	}


	/* fill up the bits by adding ones so we have myInVal ones */
	for(i = 0; i<32; i++)
	{
		myVal = myVal <<1;
		if(i<myInVal)
			myVal |= 1;
	}


	makenetmask(myVal, (char*)myNetmask);
	makenetmask(~myVal, (char*)myNetmask2);

	printdata(argv_one, (char*) myNetmask, (char*) myNetmask2);
	
	return(0);
}

