Summary: Whatmask - Convert between different netmask types and display helpful network information.
Name: whatmask
Version: 1.2
Release: 1
Copyright: GNU Public License
Group: Utilities/Network
Source: http://downloads.laffeycomputer.com/current_builds/whatmask/whatmask-1.2.tar.gz
URL: http://www.laffeycomputer.com/whatmask.html
BuildRoot: /var/tmp/%{name}-root               

%description
Whatmask is a small C program that will help you with network settings.

It can analyze CIDR, netmask, netmask (hex), and wildcard bit notations to give useful 
information about the network block in question.

%prep
%setup
./configure

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/whatmask.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 whatmask $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README       

%{_bindir}/whatmask
%{_mandir}/man1/whatmask.1.gz

%changelog
* Wed Dec 10 2003 Joe Laffey <software@laffeycomputer.com>
- Upgraded to version 1.2 with incorporated manpage.

* Sat Nov 30 2002 Tim Jackson <tim@timj.co.uk>
- Adjusted packaging; can build as non-root and does not overwrite
  system files whilst building

* Thu Sep 13 2001 Joe Laffey <software@laffeycomputer.com>
- Upgraded to version 1.1.

* Thu Jul 05 2001 Joe Laffey <software@laffeycomputer.com>
- Initial RPM packaging
